import request from '@/utils/request'

/**
 * 分页获取门店会员卡统计
 * @param {Object} query 查询参数
 */
export function listStoreCardStatistics(query) {
  return request({
    url: '/mapi/recharge/card/total/list',
    method: 'get',
    params: query
  })
}

/**
 * 导出门店会员卡统计
 * @param {Object} query 查询参数
 */
export function exportStoreCardStatistics(query) {
  return request({
    url: '/mapi/recharge/card/total/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}